Package biotransformer.esaprediction

## Class ESSpecificityPredictor

- java.lang.Object
- - biotransformer.esaprediction.ESSpecificityPredictor

    public class ESSpecificityPredictor
    extends java.lang.Object

Predicts whether a compound is a substrate of a given enzyme within a specific biosystem.

Author:
  Djoumbou Feunang, Yannick

### Constructor Summary

Constructors
`ESSpecificityPredictor​(BioSystem bsys)` Creates a specific

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isPotentialSubstrateByReactionPatternMatching​(org.openscience.cdk.interfaces.IAtomContainer substrate, Enzyme.EnzymeName enz)`
`boolean` `isValid_EC_2_8_2_2_substrate​(org.openscience.cdk.interfaces.IAtomContainer substrate, boolean preprocess)`
`boolean` `isValidCyp450Substrate​(org.openscience.cdk.interfaces.IAtomContainer substrate, Enzyme.EnzymeName enz)`
`boolean` `isValidCyp450Substrate​(org.openscience.cdk.interfaces.IAtomContainer substrate, Enzyme.EnzymeName enz, java.util.ArrayList<ChemicalClassFinder.ChemicalClassName> chemClasses)`
`boolean` `isValidSubstrate​(org.openscience.cdk.interfaces.IAtomContainer substrate, Enzyme.EnzymeName enz)`
`boolean` `isValidSubstrate​(org.openscience.cdk.interfaces.IAtomContainer substrate, Enzyme.EnzymeName enz, java.util.ArrayList<ChemicalClassFinder.ChemicalClassName> chemClasses)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ESSpecificityPredictor

    public ESSpecificityPredictor​(BioSystem bsys)

Creates a specific

Parameters:
  `bsys` -

### Method Detail

#### isValidCyp450Substrate

    public boolean isValidCyp450Substrate​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                          Enzyme.EnzymeName enz)
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### isValidCyp450Substrate

    public boolean isValidCyp450Substrate​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                          Enzyme.EnzymeName enz,
                                          java.util.ArrayList<ChemicalClassFinder.ChemicalClassName> chemClasses)
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### isValid_EC_2_8_2_2_substrate

    public boolean isValid_EC_2_8_2_2_substrate​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                boolean preprocess)
                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### isValidSubstrate

    public boolean isValidSubstrate​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                    Enzyme.EnzymeName enz)
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### isValidSubstrate

    public boolean isValidSubstrate​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                    Enzyme.EnzymeName enz,
                                    java.util.ArrayList<ChemicalClassFinder.ChemicalClassName> chemClasses)
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### isPotentialSubstrateByReactionPatternMatching

    public boolean isPotentialSubstrateByReactionPatternMatching​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                 Enzyme.EnzymeName enz)
                                                          throws ambit2.smarts.query.SMARTSException,
                                                                 org.openscience.cdk.exception.CDKException,
                                                                 java.io.IOException

Throws:
  `ambit2.smarts.query.SMARTSException`
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`